
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Dungeons and Damages</title>
	<link rel="icon" href="favicon.ico">
    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.css" rel="stylesheet">

    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="css/ie10-viewport-bug-workaround.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/navbar-fixed-top.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body onload="PopulateMenu();">
    <!-- Fixed navbar -->
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#"><img src="img/header.jpg" ></a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav" id="menuBar">
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">

      <!-- Main component for a primary marketing message or call to action -->
      <div class="jumbotron">
        <h1>Magic Items Randomiser</h1>
        <p>Select a magic item table name (as found in the D&amp;D dungeon master's guide) and it will show all items in the table and randomly select an item (including subitem if it has one).</p>
		<p><select id="ddlTableName" onchange="GetLoot();" ></select><button class="btn btn-default" onclick="GetLoot();" type="button">Randomise</button></p>
		<div id="lootOutput"></div>
	  </div>
    </div> <!-- /container -->
	</script>
    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="js/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="js/ie10-viewport-bug-workaround.js"></script>
	<script src="js/menu.js"></script>
	<script src="js/lootgenerator.js"></script>
		<script>
	function GetLoot()
	{
		$("#lootOutput").html(GetHtmlTable($("#ddlTableName option:selected").text(), true));
		ScrollToClass("current");
	}
	function ScrollToClass(className)
	{
		var elm = $("." + className);
		if(elm == null)
		return;
		if(elm[0] != null)
			{
				elm[0].scrollIntoView(true);
			}
	}
	$(document).ready(
		function()
		{
			for(var i = 0; i < magicalTable.length; i++)
				$('#ddlTableName').append(new Option(magicalTable[i].Name,magicalTable[i].Name));
			GetLoot();
		}
	);
	</script>
  </body>
</html>
